-module(n2o_text).
-include_lib("n4u/include/n4u.hrl").
-compile([export_all, nowarn_export_all]).

info({text,Text}=Message, Req, State) when is_binary(Text) ->
    wf:info(?MODULE,"TEXT Message: ~p",[Message]),
    Module = State#cx.module,
    Resp = try Module:event(Message) catch 
    	E:R -> wf:error(?MODULE,"Catch: ~p:~p~n~p", wf:stack(E, R)), <<>> 
    end,
    {reply, Resp, Req, State};

info(Message, Req, State) -> {unknown,Message, Req, State}.
